/*
 *
 * File:	adjustRange.c
 *
 * Function:	This file contains the routine to 
 *		adjust a value to a given range.
 *
 * Version:	1.0
 *
 * History:	Initial Release
 *
 *
 * Copyright (c) 2016 May 6 by Philip Vrbancic
 *
 * 6223 East Peabody Street
 * Long Beach, California  90808
 * United States of America
 *
 * All Rights Reserved
 *
 * This software is the confidential and proprietary
 * intellectual property of Walland Philip Vrbancic, Jr.
 *
 */


#define EXTERNAL


#include		<stdio.h>

#include		"standardDefs.h"
#include		"parameterDefs.h"



FLT32
adjustRange( FLT32 value, FLT32 range )

{
  FLT32			adjustedValue;


  adjustedValue = value;

  for( ;; )
  {
    if( adjustedValue > FZERO ) break;

    adjustedValue += range;
  }

  for( ;; )
  {
    if( adjustedValue < range ) break;

    adjustedValue -= range;
  }

  return( adjustedValue );
}

