/*
 *
 * File:	dayYear.c
 *
 * Function:	This file contains the routine to convert
 *		day, month, and year to days in the year.
 *
 * Version:	1.0
 *
 * History:	Initial Release
 *
 *
 * Copyright (c) 2016 May 6 by Philip Vrbancic
 *
 * 6223 East Peabody Street
 * Long Beach, California  90808
 * United States of America
 *
 * All Rights Reserved
 *
 * This software is the confidential and proprietary
 * intellectual property of Walland Philip Vrbancic, Jr.
 *
 */


#define EXTERNAL


#include		<stdio.h>

#include		"standardDefs.h"
#include		"parameterDefs.h"



INT32
dayYear( INT32 day, INT32 month, INT32 year )

{
  SCHAR			daytab[2][12] = { { 31, 28, 31, 30, 31, 30,
				            31, 31, 30, 31, 30, 31 },
                                          { 31, 29, 31, 30, 31, 30,
					    31, 31, 30, 31, 30, 31 } };

  INT32			i;
  INT32			leap;
  INT32			days;


  days = day;

  leap = ( ( year%4 == ZERO ) && ( year%100 != ZERO ) ) || ( year%400 == ZERO );

  for( i=ZERO; i<month-1; i++ ) days += daytab[leap][i];

  return( days );
}

