/*
 *
 * File:	genSequence.c
 *
 * Function:	This file contains the routine to generate
 *		the next log file sequence number.
 *
 * Version:	1.0
 *
 * History:	Initial Release
 *
 *
 * Copyright (c) 2016 May 6 by Philip Vrbancic
 *
 * 6223 East Peabody Street
 * Long Beach, California  90808
 * United States of America
 *
 * All Rights Reserved
 *
 * This software is the confidential and proprietary
 * intellectual property of Walland Philip Vrbancic, Jr.
 *
 */


#define EXTERNAL


#include		<stdio.h>
#include		<string.h>

#include		"standardDefs.h"
#include		"parameterDefs.h"
#include		"globalDefs.h"
#include		"protoTypes.h"



INT32
genSequence( CHAR *filePath, CHAR *fileName )

{
  FILE			*lsPipe;

  CHAR			systemCmd[CHAR_BUF_LEN];
  CHAR			testName[CHAR_BUF_LEN];
  CHAR			compareName[CHAR_BUF_LEN];

  INT32			status;
  INT32			sequence;
  INT32			foundFlag;
  INT32			testLen;


  sequence = ZERO;

  sprintf( systemCmd, "ls -1 %s", filePath );

  for( ;; )
  {
    sprintf( testName, "%s%02d", fileName, sequence );

    testLen = ( INT32 )strlen( testName );

    foundFlag = FALSE;

    lsPipe = popen( systemCmd, "r" );

    if( lsPipe == ( FILE * )NULL )
    {
      return( NEGONE );
    }

    for( ;; )
    {
      status = Gets( compareName, CHAR_BUF_LEN, lsPipe );

      if( status == NEGONE ) break;

      if( strncmp( testName, compareName, testLen ) == MATCH )
      {
	foundFlag = TRUE;

	break;
      }
    }

    fclose( lsPipe );

    if( foundFlag == FALSE ) break;

    sequence++;
  }

  return( sequence );
}

