/*
 *
 * File:	gets.c
 *
 * Function:	This file contains the routine to input
 *		user/file responses.
 *
 * Version:	1.0
 *
 * History:	Initial Release
 *
 *
 * Copyright (c) 2016 May 6 by Philip Vrbancic
 *
 * 6223 East Peabody Street
 * Long Beach, California  90808
 * United States of America
 *
 * All Rights Reserved
 *
 * This software is the confidential and proprietary
 * intellectual property of Walland Philip Vrbancic, Jr.
 *
 */


#define EXTERNAL


#include		<stdio.h>
#include		<string.h>

#include		"standardDefs.h"
#include		"parameterDefs.h"
#include		"protoTypes.h"



INT32
Gets( CHAR *buffer, INT32 size, FILE *stream )

{
  CHAR			nl = 0x0a;

  INT32			n;
  INT32			status;


  status = ( fgets( buffer, size, stream ) == ( CHAR * )NULL ) ? OFF : ON;

  if( status )
  {
    n = ( INT32 )strlen( buffer ) - 1;

    if( buffer[n] == nl ) buffer[n] = ( INT32 )NULL;

    return( n );
  }

  return( NEGONE );
}

