/*
 *
 * File:	infoRoutines.c
 *
 * Function:	This file contains the routine to
 *		display/log messages.
 *
 * Version:	1.0
 *
 * History:	Initial Release
 *
 *
 * Copyright (c) 2016 May 6 by Philip Vrbancic
 *
 * 6223 East Peabody Street
 * Long Beach, California  90808
 * United States of America
 *
 * All Rights Reserved
 *
 * This software is the confidential and proprietary
 * intellectual property of Walland Philip Vrbancic, Jr.
 *
 */


#define EXTERNAL


#include		<stdio.h>
#include		<string.h>
#include		<time.h>

#include		<sys/time.h>

#include		"standardDefs.h"
#include		"parameterDefs.h"
#include		"globalDefs.h"
#include		"protoTypes.h"



VOID
Pause()

{
  fflush( stdin );
  fflush( stdout );

  printf( "\n\nPress <cr> to continue ...  " );

  Gets( Ans, CHAR_BUF_LEN, stdin );

  printf( "\n\n" );

  fflush( stdout );
}


VOID
pathBase( CHAR *path )

{
  INT32			i;


  for( i=( INT32 )strlen(path)-1; i>=ZERO; i-- )
  {
    if( path[i] == '/' )
    {
      path[i+1] = ( INT32 )NULL;

      return;
    }
  }

  path[0] = ( INT32 )NULL;
}



VOID
info( CHAR *mesg, INT32 flags )

{
  STRUCT tm		*tmTime;

  STRUCT timeval	timeVal;
  STRUCT timezone	timeZone;

  CHAR			timeStamp[32];

  INT32			usec;
  INT32			timeFlag;


  if( flags & LOGTIME )
  {
    gettimeofday( &timeVal, &timeZone );

    tmTime = localtime( &timeVal.tv_sec );
    
    usec = ( INT32 )( timeVal.tv_usec / 1000 );

    sprintf( timeStamp, "(%02d:%02d:%02d.%03d) ", tmTime->tm_hour, tmTime->tm_min, tmTime->tm_sec, usec );

    timeFlag = ON;
  }

  else
  {
    timeFlag = OFF;
  }

  if( flags & SCREEN )
  {
    if( timeFlag ) printf( "%s", timeStamp );

    printf( "%s", mesg );

    fflush( stdout );
  }

  if( flags & LOGFILE )
  {
    if( timeFlag ) fprintf( LogFilePtr, "%s", timeStamp );

    fprintf( LogFilePtr, "%s", mesg );

    fflush( LogFilePtr );
  }
}

