/*
 *
 * File:	parameterDefs.h
 *
 * Function:	This file defines the parameter constants
 *		and type definitions used in lightcontrol
 *		software.
 *
 * Version:	1.0
 *
 * History:	Initial Release
 *
 *
 * Copyright (c) 2016 May 6 by Philip Vrbancic
 *
 * 6223 East Peabody Street
 * Long Beach, California  90808
 * United States of America
 *
 * All Rights Reserved
 *
 * This software is the confidential and proprietary
 * intellectual property of Walland Philip Vrbancic, Jr.
 *
 */


#ifndef	_PARAMETER_DEFS_H_
#define	_PARAMETER_DEFS_H_


#define SEC_HR				3600
#define SEC_MIN				60

#define MSEC_DAY			86400000
#define MSEC_HR				3600000
#define MSEC_MIN			60000
#define MSEC_SEC			1000

#define USEC10_DAY			8640000000
#define USEC10_HR			360000000
#define USEC10_MIN			6000000
#define USEC10_SEC			100000

#define USEC_DAY			86400000000
#define USEC_HR				3600000000
#define USEC_MIN			60000000
#define USEC_SEC			1000000
#define USEC_MSEC			1000

#define ONE_SECOND			1000000
#define ONE_SECOND_REAL			1000000.0

#define UNIX_YEAR			1900

#define ZERO				0
#define NEGONE				-1
#define MINUS_ONE			0xffffffff

#define FZERO				0.0

#define ERROR				-1
#define OKAY				0
#define BYPASS				1

#define OFF				0
#define ON				1

#define FALSE				0
#define TRUE				1

#define MATCH				0

#define ALPHA				0
#define DIGIT				1

#define NOSCREEN			0
#define SCREEN				1
#define LOGTIME				2
#define LOGFILE				4

#define PATH_BUF_LEN			128
#define CHAR_BUF_LEN			256

#define PERMS				0666

#define GPIO_PATH			"/sys/class/gpio"
#define LIGHTCONTROL_PATH		"/home/software/lightcontrol"
#define LOG_FILE_LIGHT			"lightcontrol"
#define LOG_FILE_CONFIG			"lightconfig"
#define CONFIG_FILE			"config"


#endif

