/*
 *
 * File:	readConfigLine.c
 *
 * Function:	This file contains the routine to read
 *		a line from a configuration file and
 *		ignore comment lines beginning with a
 *		"#", "*", or NULL character.
 *
 * Version:	1.0
 *
 * History:	Initial Release
 *
 *
 * Copyright (c) 2016 May 6 by Philip Vrbancic
 *
 * 6223 East Peabody Street
 * Long Beach, California  90808
 * United States of America
 *
 * All Rights Reserved
 *
 * This software is the confidential and proprietary
 * intellectual property of Walland Philip Vrbancic, Jr.
 *
 */


#define EXTERNAL


#include		<stdio.h>
#include		<string.h>

#include		"standardDefs.h"
#include		"parameterDefs.h"
#include		"globalDefs.h"
#include		"protoTypes.h"



INT32
readConfigLine( CHAR *lineBuffer, INT32 lineLength, FILE *fd )

{
  CHAR			buffer[CHAR_BUF_LEN];

  INT32			status;


  for( ;; )
  {
    status = Gets( buffer, CHAR_BUF_LEN, fd );

    if( status == NEGONE ) break;

    if( ( buffer[0] != '#' ) && ( buffer[0] != '*' ) && ( buffer[0] != ( INT32 )NULL ) )
    {
      buffer[lineLength-1] = ( INT32 )NULL;

      strcpy( lineBuffer, buffer );

      break;
    }
  }

  return( status );
}

