/*
 *
 * File:	saveConfig.c
 *
 * Function:	This file contains the routine to save
 *		the sunriseset configuration file.
 *
 * Version:	1.0
 *
 * History:	Initial Release
 *
 *
 * Copyright (c) 2016 May 6 by Philip Vrbancic
 *
 * 6223 East Peabody Street
 * Long Beach, California  90808
 * United States of America
 *
 * All Rights Reserved
 *
 * This software is the confidential and proprietary
 * intellectual property of Walland Philip Vrbancic, Jr.
 *
 */


#define EXTERNAL


#include		<stdio.h>
#include		<string.h>

#include		"standardDefs.h"
#include		"parameterDefs.h"
#include		"globalDefs.h"
#include		"protoTypes.h"



INT32
saveConfig()

{
  FILE			*fd;

  CHAR			configPath[PATH_BUF_LEN];


  sprintf( configPath, "%s/%s.cfg", LIGHTCONTROL_PATH, CONFIG_FILE );

  fd = fopen( configPath, "w" );

  if( fd == ( FILE * )NULL )
  {
    sprintf( Mesg, "\n(readConfig) Error from fopen() for writing configuration file '%s'.\n", configPath );
    info( Mesg, SCREEN );

    Pause();

    return( ERROR );
  }


// Write the configuration file variables.

  fprintf( fd, "#\n" );
  fprintf( fd, "# Light Control Configuration\n" );
  fprintf( fd, "#\n\n" );

  fprintf( fd, "gpio: %d\n\n", Gpio );

  fprintf( fd, "riseOffset: %0.2f\n\n", RiseOffset );

  fprintf( fd, "setOffset: %0.2f\n\n", SetOffset );

  fprintf( fd, "timeZone: %d\n\n", TimeZone );

  fprintf( fd, "zenith: %f\n\n", Zenith );

  fprintf( fd, "latitude: %f\n\n", Latitude );

  fprintf( fd, "longitude: %f\n\n", Longitude );

  fclose( fd );

  return( OKAY );
}

