/*
 *
 * File:	showConfig.c
 *
 * Function:	This file contains the routine to display
 *		and log the sunriseset configuration.
 *
 * Version:	1.0
 *
 * History:	Initial Release
 *
 *
 * Copyright (c) 2016 May 6 by Philip Vrbancic
 *
 * 6223 East Peabody Street
 * Long Beach, California  90808
 * United States of America
 *
 * All Rights Reserved
 *
 * This software is the confidential and proprietary
 * intellectual property of Walland Philip Vrbancic, Jr.
 *
 */


#define EXTERNAL


#include		<stdio.h>
#include		<string.h>

#include		"standardDefs.h"
#include		"parameterDefs.h"
#include		"globalDefs.h"
#include		"protoTypes.h"



VOID
showConfig( INT32 flags )

{
  info( "\nCurrent Program Configuration\n\n", flags );


  sprintf( Mesg, " 1)           GPIO - %d\n\n", Gpio );
  info( Mesg, flags );

  sprintf( Mesg, " 2) Sunrise Offset - %0.2f hours\n", RiseOffset );
  info( Mesg, flags );

  sprintf( Mesg, " 3)  Sunset Offset - %0.2f hours\n\n", SetOffset );
  info( Mesg, flags );

  sprintf( Mesg, " 4)       Timezone - %d\n\n", TimeZone );
  info( Mesg, flags );

  sprintf( Mesg, " 5)         Zenith - %f degrees\n\n", Zenith );
  info( Mesg, flags );

  sprintf( Mesg, " 6)       Latitude - %f degrees\n", Latitude );
  info( Mesg, flags );

  sprintf( Mesg, " 7)      Longitude - %f degrees\n\n", Longitude );
  info( Mesg, flags );

  if( flags & SCREEN )
  {
    printf( " 8) Done\n\n" );
    printf( "Enter Selection (1-8):  " );
  }
}

