/*
 *
 * File:	standardDefs.h
 *
 * Function:	This file defines the standard constants
 *		and type definitions used in lightcontrol
 *		software.
 *
 * Version:	1.0
 *
 * History:	Initial Release
 *
 *
 * Copyright (c) 2016 May 6 by Philip Vrbancic
 *
 * 6223 East Peabody Street
 * Long Beach, California  90808
 * United States of America
 *
 * All Rights Reserved
 *
 * This software is the confidential and proprietary
 * intellectual property of Walland Philip Vrbancic, Jr.
 *
 */


#ifndef	_STANDARD_DEFS_H_
#define	_STANDARD_DEFS_H_


#define CHAR				char
#define INT16				short
#define INT32				int
#define LNT32				int
#define INT64				long
#define FLT32				float
#define FLT64				double

#define CONST				const
#define STATIC				static
#define UNSIGNED			unsigned

#define CCHAR				CONST CHAR
#define SCHAR				STATIC CHAR
#define UCHAR				UNSIGNED CHAR

#define SINT16				STATIC INT16
#define UINT16				UNSIGNED INT16

#define SINT32				STATIC INT32
#define UINT32				UNSIGNED INT32
#define SUINT32				STATIC UNSIGNED INT32

#define CLNT32				CONST LNT32
#define ULNT32				UNSIGNED LNT32

#define SINT64				STATIC INT64
#define UINT64				UNSIGNED INT64
#define SUINT64				STATIC UNSIGNED INT64

#define SFLT32				STATIC FLT32
#define SFLT64				STATIC FLT64

#define VOID				void
#define CVOID				CONST VOID
#define VOLATILE			volatile

#define ENUM				enum
#define EXTERN				extern
#define STRUCT				struct
#define TYPEDEF				typedef
#define UNION				union


#ifdef EXTERNAL
#  define USE EXTERN
#else
#  define USE
#endif


#endif

